Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-24689

(Windows) Unable to build for Android on 6.0.4.GA

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: Release 6.0.4
    • Fix Version/s: Release 6.1.0
    • Component/s: Android
    • Labels:
      None
    • Environment:
    • Story Points:
      3
    • Sprint:
      2017 Sprint 10 SDK

      Description

      When I try to run an android application In 6.0.4.GA from the CLI I get the following error message even when I have the Correct SDK installed.

      [ERROR] Unable to find a suitable installed Android SDK that is API >=23 and <=25
      

      The error i get from studio:

      [ERROR] :  No Android SDK targets found.
      [ERROR] :  Please download an Android SDK target API level 23 or newer from the Android SDK Manager and try again.
      

      Test steps
      1. Using the old android SDK manager find Android 6.0 (Api 23) and remove it
      2. Re install Android 6.0 (API 23)
      3. Create a titanium application
      4. Run the application on 6.0.4.GA for android emulator
      5. should see an error message relating to Android SDK not being found
      6. Run the application on 6.0.3.GA for android emulator
      7. Application will run without and issues

      Actual result
      Error is thrown showing no suitable SDK is installed when running from 6.0.4.GA but when I try to run an android build from 6.0.3.GA the build is successful.

      Expected result
      No error should be thrown on both versions of the SDK.

      Log from the CLI is attached below and so are screenshots of my SDK manager

        Attachments

          Activity

            People

            • Assignee:
              gmathews Gary Mathews
              Reporter:
              smohammed Samir Mohammed
              Reviewer:
              Chris Barber
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-10683
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Integration